> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order payments

> Retrieve order payments



## OpenAPI

````yaml get /orders/{order_number}/payments
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /orders/{order_number}/payments:
    get:
      tags:
        - Orders
      summary: Retrieve order payments
      description: Retrieve order payments
      operationId: list-order-payments
      parameters:
        - name: order_number
          in: path
          description: order number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    default: order details
                    readOnly: true
                  success:
                    type: boolean
                    readOnly: true
                  content:
                    properties:
                      payments:
                        type: array
                        items:
                          $ref: '#/components/schemas/OrderPayment'
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-order-payments
        description: API reference for the list-order-payments operation
components:
  schemas:
    OrderPayment:
      title: OrderPayment
      description: Order Payment
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/OrderPayment
        description: API reference for the OrderPayment schema
      oneOf:
        - $ref: '#/components/schemas/CardPayment'
        - $ref: '#/components/schemas/NetbankingPayment'
        - $ref: '#/components/schemas/UpiPayment'
        - $ref: '#/components/schemas/WalletPayment'
        - $ref: '#/components/schemas/BankTransfer'
        - $ref: '#/components/schemas/NachPayment'
    CardPayment:
      title: CardPayment
      description: Payments using credit card, debit card
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/CardPayment
        description: API reference for the CardPayment schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
        - type: object
          properties:
            card_number:
              description: "masked card number\r\ne.g. ************1111"
              type: string
            card_type:
              type: string
              enum:
                - Visa
                - Master Card
                - Rupay
                - American Express
    NetbankingPayment:
      title: NetbankingPayment
      description: Payments using payment gateway netbanking option.
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/NetbankingPayment
        description: API reference for the NetbankingPayment schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
        - type: object
          properties:
            bank_name:
              type: string
    UpiPayment:
      title: UpiPayment
      description: UPI Payment
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/UpiPayment
        description: API reference for the UpiPayment schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
        - type: object
          properties:
            upi_id:
              type: string
    WalletPayment:
      title: WalletPayment
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/WalletPayment
        description: API reference for the WalletPayment schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
        - type: object
          properties:
            wallet_name:
              type: string
    BankTransfer:
      title: BankTransfer
      description: Bank transfer payment - IMPS, NEFT, RTGS
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/BankTransfer
        description: API reference for the BankTransfer schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
        - type: object
          properties:
            bank_account_number:
              description: "masked account number\r\ne.g. ************1234"
              type: string
            bank_name:
              type: string
    NachPayment:
      title: NachPayment
      description: NACH mandate payment via LotusPay.
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/NachPayment
        description: API reference for the NachPayment schema
      allOf:
        - $ref: '#/components/schemas/PaymentInfo'
    PaymentInfo:
      title: PaymentInfo
      description: Common fields in all types of payments.
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/PaymentInfo
        description: API reference for the PaymentInfo schema
      properties:
        transaction_type:
          type: string
          enum:
            - payment
            - refund
        request_number:
          type: string
        amount:
          type: number
          format: double
        payment_status:
          type: string
          enum:
            - pending
            - success
            - failed
            - partially_paid
            - refund_initiated
        payment_date:
          type: string
          format: date-time
        payment_reference_number:
          type:
            - string
            - 'null'
        payment_method:
          type:
            - string
            - 'null'
        icon_url:
          type:
            - string
            - 'null'
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````